package com.persagy.server.service

import com.persagy.server.dao.mappers.TenantZoneMapper
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service


@Service
class TenantZoneService {
    @Autowired
    lateinit var tenantZoneMapper : TenantZoneMapper

    fun getTenantIdUnderSpace(projectId : String, zoneType : String?, zoneId : String?) : ArrayList<String>{
        return tenantZoneMapper.selectTenantUnderSpace(projectId, zoneType, zoneId)
    }


    fun getTenantIdUnderSpace(projectId : String) : ArrayList<String>{
        return tenantZoneMapper.selectAllTenantUnderSpace(projectId)
    }
}